petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSectionCreateGlobalSectionCensored

Create a section describing the global field layout using the local section and an SF describing the section point overlap.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionCreateGlobalSectionCensored(PetscSection s, PetscSF sf, PetscBool includeConstraints, PetscInt numExcludes, const PetscInt excludes[], PetscSection *gsection)

### Input Parameters

+ s - The PetscSection for the local field layout . sf - The SF describing parallel layout of the section points . includeConstraints - By default this is PETSC_FALSE, meaning that the global field vector will not possess constrained dofs . numExcludes - The number of exclusion ranges - excludes - An array [start_0, end_0, start_1, end_1, ...] where there are numExcludes pairs

### Output Parameter

. gsection - The PetscSection for the global field layout

Note: This gives negative sizes and offsets to points not owned by this process

### See Also

PetscSectionCreate()

Level:developer
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages